Subject: Re: bug#72045: [PATCH RFC 1/2] gnu: emacs: Compute ABI hash and native version dir without version.

From: Suhail Singh <[email-masked]>
Date: Sat, 13 Jul 2024 13:59:07 -0400

Liliana Marie Prikler <[email-masked]> writes:

> It could possibly allow us some flexibility in future changes, but at
> the very least it doesn't work right now.  Hence why it's RFC while
> the other patch isn't.

Thank you for clarifying.  It is clear that different versions of Emacs
store the natively compiled files in different locations.  However, it's
less clear what happens during grafting and what is desired for grafting
and native compilation to work.

What is needed for grafting to work with native compilation?  Is the
intent to be able to reuse the natively compiled files from the original
version when grafting installs the replacement version?

What happens during grafting today?  Is the location where the original
version kept its natively compiled files kept around, or does it get
deleted when the replacement is grafted?

-- 
Suhail